
%global meadversion 1.1.0
%global namedversion 1.1.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}hibernate-beanvalidation-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.0.Final-redhat-1

Name:           %{?scl_prefix}hibernate-beanvalidation-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Bean Validation API
Group:          Development/Java

%if %with mead
Source100: validation-api-1.1.0.Final-redhat-1-scm-sources.zip
Source102: validation-api-1.1.0.Final-redhat-1.jar
Source103: validation-api-1.1.0.Final-redhat-1-sources.jar
Source104: validation-api-1.1.0.Final-redhat-1-javadoc.jar
Source105: validation-api-1.1.0.Final-redhat-1.pom
Source106: validation-api-1.1.0.Final-redhat-1-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://fisheye.jboss.org/browse/Hibernate/beanvalidation/api/tags/v1_0_0_GA
Provides:       %{?scl_prefix}validation-api = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/validation-api-%{namedversion}-%{release}-root

%description
Bean Validation (JSR-303) API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for validation-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n beanvalidation-api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/validation-api-%{namedversion}.jar %{buildroot}%{_javadir}/validation-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/validation-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/validation-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/validation-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/validation-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/validation-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/validation-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/validation-api-%{namedversion} -x META-INF/\*
%{__ln_s} validation-api-%{namedversion} %{buildroot}%{_javadocdir}/validation-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc license.txt
%{_javadir}/validation-api-%{namedversion}.jar
%{_javadir}/validation-api.jar
%if %with javadoc
%{_javadir}/validation-api-%{namedversion}-javadoc.jar
%{_javadir}/validation-api-javadoc.jar
%endif
%{_javadir}/validation-api-%{namedversion}-sources.jar
%{_javadir}/validation-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/validation-api-%{namedversion}
%{_javadocdir}/validation-api
%endif

%changelog
* Fri Apr 24 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-2.Final_redhat_1.1
- fix subpackage

* Fri Apr 10 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-1.Final_redhat_1.1
- release
